﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using GrapeCity.Windows.SpreadSheet.Data;

namespace SpreadSLSparkLine
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void UserControl_Loaded(object sender, RoutedEventArgs e)
        {
            this.gcSpreadSheet1.AutoRefresh = false;
            this.gcSpreadSheet1.SuspendEvent();

            Worksheet sheet = this.gcSpreadSheet1.ActiveSheet;
            this.gcSpreadSheet1.CanCellOverflow = true;

            sheet.SetValue(0, 0, "Data Range is A2-A9");
            sheet.SetValue(1, 0, 1);
            sheet.SetValue(2, 0, -2);
            sheet.SetValue(3, 0, -1);
            sheet.SetValue(4, 0, 6);
            sheet.SetValue(5, 0, 4);
            sheet.SetValue(6, 0, -4);
            sheet.SetValue(7, 0, 3);
            sheet.SetValue(8, 0, 8);


            sheet.SetValue(0, 2, "Date axis range is C2-C9");
            sheet.SetValue(1, 2, new DateTime(2011, 1, 5));
            sheet.SetValue(2, 2, new DateTime(2011, 1, 1));
            sheet.SetValue(3, 2, new DateTime(2011, 2, 11));
            sheet.SetValue(4, 2, new DateTime(2011, 3, 1));
            sheet.SetValue(5, 2, new DateTime(2011, 2, 1));
            sheet.SetValue(6, 2, new DateTime(2011, 2, 3));
            sheet.SetValue(7, 2, new DateTime(2011, 3, 6));
            sheet.SetValue(8, 2, new DateTime(2011, 2, 19));

            CellRange data = new CellRange(1, 0, 8, 1);
            CellRange dateAxis = new CellRange(1, 2, 8, 1);


            //winloss
            sheet.Cells["d10"].ColumnSpan = 3;
            sheet.Cells["d10"].RowSpan = 4;
            sheet.SetSparkline(9, 3, data
                , DataOrientation.Vertical
                , SparklineType.Winloss
                , dateAxis
                , DataOrientation.Vertical
                , new SparklineSetting()
                {
                    ShowNegative = true,
                    DisplayXAxis = true
                    //,ShowFirst = true
                    //,ShowLast = true
                    //,ShowLow = true
                    //,ShowHigh = true
                
                }
                );

            this.gcSpreadSheet1.ResumeEvent();
            this.gcSpreadSheet1.AutoRefresh = true;

        }
    }
}
